> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# EnvelopeStatus

## EnvelopeStatus

> **Note**
>
> This page describes functionality for the older eSignature SOAP API. See [Envelopes: listStatus](/docs/esign-rest-api/reference/envelopes/envelopes/liststatus) for more information on this topic in the more actively-supported eSignature REST API documentation.

Shown below is the schema for envelope status which is the response schema to the RequestStatus.

### Schema

![EnvelopeStatus schema](/_fern-files/_img/0ce5efab66d788f6b6ade44aed9c18653d91d28189c0a81a63a1d866b68c4230.webp)

The RequestStatus response contains a snapshot of the status of the envelope at the time the call was issued. It contains the following attributes and elements:

| Name               | Schema Type         | Description                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------ | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| RecipientStatuses  | RecipientStatus     | Includes the status of each of the envelope recipients. See the [RecipientStatus section](/docs/esign-soap-api/reference/status-and-managing-group/recipientstatus/) for more information.                                                                                                                                                                                                                                     |
| TimeGenerated      | dateTime            | Specifies the time of the status change.                                                                                                                                                                                                                                                                                                                                                                                       |
| EnvelopeID         | DSXId               | The Envelope ID of the envelope who’s status is provided.                                                                                                                                                                                                                                                                                                                                                                      |
| Subject            | String              | The envelope subject, as provided by the envelope creator.                                                                                                                                                                                                                                                                                                                                                                     |
| UserName           | UserName            | Contains the user name of the person who created the envelope                                                                                                                                                                                                                                                                                                                                                                  |
| Email              | Email               | Contains the email of the person who created the envelope                                                                                                                                                                                                                                                                                                                                                                      |
| Status             | EnvelopeStatusCode  | Status of the envelope at that specific time. Enumeration values could be Created, Deleted, Sent, Delivered, Signed, Completed, Declined, Voided, TimedOut, AuthoritativeCopy, TransferCompleted, Template, and Correct. See Envelope Status Code Descriptions for information about the codes. The  element has been included to enable document author to extend his/her document with elements not specified by the schema. |
| Created            | dateTime            | Date and time when the envelope was created.                                                                                                                                                                                                                                                                                                                                                                                   |
| Deleted            | dateTime            | Date and time when the envelope was deleted.                                                                                                                                                                                                                                                                                                                                                                                   |
| Sent               | dateTime            | Date and time when the envelope was sent.                                                                                                                                                                                                                                                                                                                                                                                      |
| Delivered          | dateTime            | Last time the envelope was viewed by a signer.                                                                                                                                                                                                                                                                                                                                                                                 |
| Signed             | dateTime            | Last time a signer signed the document.                                                                                                                                                                                                                                                                                                                                                                                        |
| Completed          | dateTime            | Date and time when the envelope is completed.                                                                                                                                                                                                                                                                                                                                                                                  |
| Declined           | dateTime            | Date and time when the envelope was declined by the recipient.                                                                                                                                                                                                                                                                                                                                                                 |
| TimedOut           | dateTime            | Date and time with the envelope is timed out                                                                                                                                                                                                                                                                                                                                                                                   |
| ACStatus           | String              | Returns any one of the following Authoritative copy status; Unknown, Original, Transferred, AuthoritativeCopy, AuthoritativeCopyExportPending, AuthoritativeCopyExported, DepositPending, Deposited, DepositedEO, orDepositFailed.                                                                                                                                                                                             |
| ACStatusDate       | dateTime            | The time at with authoritative copy was created                                                                                                                                                                                                                                                                                                                                                                                |
| ACHolder           | String              | Contains the user name of the authoritative copy holder.                                                                                                                                                                                                                                                                                                                                                                       |
| ACHolderEmail      | LongString          | Contains the email of the authoritative copy holder.                                                                                                                                                                                                                                                                                                                                                                           |
| ACHolderLocation   | String              | Contains the location of the authoritative copy holder.                                                                                                                                                                                                                                                                                                                                                                        |
| SigningLocation    | SigningLocationCode | Specifies the physical location of the signer. Enumeration values are InPerson and Online                                                                                                                                                                                                                                                                                                                                      |
| SenderIPaddress    | String              | IP address of the user who sent the envelope                                                                                                                                                                                                                                                                                                                                                                                   |
| CustomField        | CustomField         | Each custom field defined for the envelope is returned. In addition to the name and value of the field, it will include information as to whether the field was required to be provided. Also it mentions if it is shown in the Docusign user interface.                                                                                                                                                                       |
| VaultingDetails    | VaultingDetails     | This complex type contains information about EOD Transaction name, transaction ID and document profile ID.                                                                                                                                                                                                                                                                                                                     |
| EnvelopeIdStamping | Boolean             | Specifies if the envelope stamping feature is enabled or not.                                                                                                                                                                                                                                                                                                                                                                  |
| AuthoritativeCopy  | Boolean             | Return value true if the authoritative copy is created else returns false.                                                                                                                                                                                                                                                                                                                                                     |
| EnvelopeAttachment | Attachment          | It would be possible to return attachments with envelope. This complex element contains data in base64Binary. It also contains label and type for the attachment.                                                                                                                                                                                                                                                              |
| DocumentStatuses   | DocumentStatus      | Only returned when calling RequestStatusEx and RequestStatusesEx. DocumentStatus includes:  - ID – this is the ID from the source system. - Name – name of the document. - TemplateName – template the document originated from if the envelope was created using CreateEnvelopeFromTemplates. - Sequence – order in which the document appears in the envelope.                                                               |
| FormData           | FormData            | Reserved for future use. Will only be returned with the GetStatusInDocusignConnectFormat API. This will return all the Docusign Secure Fields and Docusign PowerForms fields as XML.                                                                                                                                                                                                                                           |

#### Envelope Status Code Descriptions

The table below provides descriptions of the Envelope Status Codes.

\| Code | Description | | --- | --- | | Created | The envelope is in a draft state and has not been sent out for signing. | | Deleted | This is a legacy status and is no longer used. | | Sent | An email notification with a link to the envelope has been sent to at least one recipient. The envelope remains in this state until all recipients have viewed it at a minimum. | | Delivered | All recipients have viewed the document(s) in an envelope through the Docusign signing web site. This is not an email delivery of the documents in an envelope. | | Signed | The envelope has been signed by all the recipients. This is a temporary state during processing, after which the envelope is automatically moved to Completed status. | | Completed | The envelope has been completed by all the recipients. | | Declined | The envelope has been declined for signing by one of the recipients. | | Voided | The envelope has been voided by the sender. | | TimedOut | This is a legacy status and is no longer used. | | AuthoritativeCopy | The envelope is in an Authoritative state. Only “Copy” views of the documents will be shown. | | TransferCompleted | The envelope has been transferred out of Docusign to another authority. | | Template | The envelope is a Template | | Correct | The envelope has been opened by the sender for correction. The signing is stopped for envelopes with this status. |